> ## Documentation Index
> Fetch the complete documentation index at: https://domoinc-openapi-sync-dataflows.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Index Dataset (query)

> Indexes a dataset to make it available for querying. This process is required after schema changes or data updates



## OpenAPI

````yaml /openapi/product/data-sets.yaml post /api/query/v1/datasources/{datasetId}
openapi: 3.0.0
info:
  title: Datasets API
  version: v1
  description: >
    The Domo Datasets API provides a set of endpoints for managing, creating,
    and updating datasets within Domo. The API allows developers to execute SQL
    queries on datasets,

    manage access permissions, retrieve metadata, append rows, share datasets,
    and perform various dataset operations.
servers:
  - url: https://{instance}.domo.com
    description: Domo Instance
    variables:
      instance:
        default: example
        description: Your Domo instance name
security:
  - developerToken: []
paths:
  /api/query/v1/datasources/{datasetId}:
    post:
      tags:
        - Datasets API
      summary: Index Dataset (query)
      description: >-
        Indexes a dataset to make it available for querying. This process is
        required after schema changes or data updates
      parameters:
        - name: datasetId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Indexing started
      x-codeSamples:
        - lang: HTTP
          source: |
            POST /api/query/v1/datasources/{datasetId} HTTP/1.1
            Host: {instance}.domo.com
            X-DOMO-Developer-Token: {token}
components:
  securitySchemes:
    developerToken:
      type: apiKey
      in: header
      name: X-DOMO-Developer-Token
      description: Developer token obtained from Domo

````